POST Search users
POST /user_search
Operation ID: Search users. Tags: user_search. Security: oauth2_application.
Searches for users.
The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:
-
login - String
-
email - String
-
first_name - String
-
last_name - String
-
external_id - String
-
last_login_date - Date
-
is_locked - Boolean
-
is_disabled - Boolean
The output of the query can also be sorted. These are the list of sortable attributes:
-
login - String
-
email - String
-
first_name - String
-
last_name - String
-
external_id - String
-
last_login_date - Date
This endpoint may return the following faults:
- 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
MalformedSearchParameterException- Thrown if the query is ill-formed.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:user_search_result.